Bug 24941 - Serials: Link to basket in acqusition details is broken
Summary: Serials: Link to basket in acqusition details is broken
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on: 21467
Blocks:
  Show dependency treegraph
 
Reported: 2020-03-22 22:37 UTC by Katrin Fischer
Modified: 2020-04-28 21:20 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06


Attachments
Bug 24941: Serials - Fix link to basket from acquisition details information (2.22 KB, patch)
2020-03-28 00:25 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24941: Serials - Fix link to basket from acquisition details information (2.28 KB, patch)
2020-03-31 07:21 UTC, David Nind
Details | Diff | Splinter Review
Bug 24941: Serials - Fix link to basket from acquisition details information (2.34 KB, patch)
2020-03-31 13:32 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-03-22 22:37:29 UTC
When using 'order from a subscription', acquisition details will show in the serials module on the subscription detail page.

The basketnumber is linked, but the URL is broken:
http://localhost:8081/cgi-bin/koha/acqui/basket.pl?basketno=

It's missing the basketno parameter.
Comment 1 Katrin Fischer 2020-03-28 00:25:20 UTC
Created attachment 102029 [details] [review]
Bug 24941: Serials - Fix link to basket from acquisition details information

Adding orders from subscriptions makes acquisition information visible
in the serials module. In the table of acquisition data is a link back
to the basket - but this link is missing the basket number parameter -
it doesn't work. This patch fixes the TT variable to make it work.

To test:
- Add a subscription
- Add a new basket
- Add a order line using "Add from subscription"
- Go to the subscription details page, check the acquisitions tab
- Try the link to the basket - it should not work
- Apply patch
- Try the link again - now it should bring up the basket page with
  the order.
Comment 2 David Nind 2020-03-31 07:21:16 UTC
Created attachment 102103 [details] [review]
Bug 24941: Serials - Fix link to basket from acquisition details information

Adding orders from subscriptions makes acquisition information visible
in the serials module. In the table of acquisition data is a link back
to the basket - but this link is missing the basket number parameter -
it doesn't work. This patch fixes the TT variable to make it work.

To test:
- Add a subscription
- Add a new basket
- Add a order line using "Add from subscription"
- Go to the subscription details page, check the acquisitions tab
- Try the link to the basket - it should not work
- Apply patch
- Try the link again - now it should bring up the basket page with
  the order.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2020-03-31 07:26:50 UTC
Notes for testing (mainly as I'm not that familiar with acquisitions or serials):

- An example of the page where the link is not working correctly is for example (using koha-testing-docker):
http://127.0.0.1:8081/cgi-bin/koha/serials/subscription-detail.pl?subscriptionid=1

- Replace the subscriptionid number with one you have setup.
Comment 4 Jonathan Druart 2020-03-31 13:31:47 UTC
Caused by
  commit 679930c8597680a870f7c9801b6dbd40e1254edf
  Bug 21467: Display a summary line per parent_ordernumber
Comment 5 Jonathan Druart 2020-03-31 13:32:51 UTC
Created attachment 102130 [details] [review]
Bug 24941: Serials - Fix link to basket from acquisition details information

Adding orders from subscriptions makes acquisition information visible
in the serials module. In the table of acquisition data is a link back
to the basket - but this link is missing the basket number parameter -
it doesn't work. This patch fixes the TT variable to make it work.

To test:
- Add a subscription
- Add a new basket
- Add a order line using "Add from subscription"
- Go to the subscription details page, check the acquisitions tab
- Try the link to the basket - it should not work
- Apply patch
- Try the link again - now it should bring up the basket page with
  the order.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Martin Renvoize 2020-04-03 13:24:17 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Joy Nelson 2020-04-28 21:20:45 UTC
backported to 19.11.x branch for 19.11.06